<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN"
  "http://www.w3.org/TR/html4/loose.dtd">
<%@ page import="mondrian.in.action.CacheFlusher" %>
<html>
<%
  String title = "Flush Cache";
  StringBuffer msg = new StringBuffer();
  CacheFlusher cacheFlusher = new CacheFlusher();

  // Get the parameters.  The JSP will interpret the action to take based on the
  // parameters set.
  // - none - causes everything to be flushed.
  // - catalog - the catalog to flush from, requires at least a cube, but maybe more.
  // - cube - the cube to flush completely or parts of.  Requires a catalog.
  // - dimension - one or dimensions in the cube to flush. Requires catalog and cube.
  // - members - one or fully qualified members to flush.  Requires catalog and cube
  String   catalog    = request.getParameter("catalog");
  String   cube       = request.getParameter("cube");
  String[] members    = request.getParameterValues("member");

  // if there are no parameters, then flush everything.
  if (catalog == null && cube == null && members == null) {
    title = "Flush All";
    msg.append("<p>Flushing everything.</p>")
       .append (cacheFlusher.flushAll() ?
         "<p>Success!</p>" : "<p>Failure!</p>");
  }
  else if (catalog != null && cube != null) {
    if(members == null) {
      title = "Flush Cube";
      msg.append("<p>Flushing ")
         .append(catalog).append(":").append(cube).append("</p>")
         .append (cacheFlusher.flushCube(catalog, cube) ?
           "<p>Success!</p>" : "<p>Failure!</p>");
    }
    else {
      title = "Flush Region";
      msg.append("<p>Flushing region from ")
          .append(catalog).append(":").append(cube).append("</p>")
         .append (cacheFlusher.flushCubeRegion(catalog, cube, members) ?
           "<p>Success!</p>" : "<p>Failure!</p>");
    }
  }
  else {
    msg.append("<p>Invalid argument combination.</p>");
  }
%>
<head>
  <title><%= title %></title>
</head>
<body>
  <%= msg.toString() %>
</body>
</html>